# mongoc_apm_server_closed_get_topology_id()

## Synopsis

    void
    mongoc_apm_server_closed_get_topology_id (
       const mongoc_apm_server_closed_t *event, bson_oid_t *topology_id);

Returns this event’s topology id.

## Parameters

- `event`: A mongoc_apm_server_closed_t.

- `topology_id`: A `bson_oid_t` to receive the event’s topology_id.

## Returns

The event’s topology id.

See also

Introduction to Application Performance Monitoring